#
# spec file for package freeamp (Version 2.1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile esound esound-devel freetype gdk-pixbuf gdk-pixbuf-devel glib glib-devel gpp gtk gtk-devel libgpp libogg libogg-devel libvorbis libvorbis-devel musicbrainz musicbrainz-devel nasm xf86 xpm
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex freetype gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libogg libogg-devel libtool libvorbis libvorbis-devel libz m4 make man mktemp modutils musicbrainz musicbrainz-devel nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         freeamp
Summary:      digital audio player
Version:      2.1.0
Release:      84
Copyright:    GPL
Group:        X11/Applications/Multimedia
Autoreqprov:  on
URL:          http://www.freeamp.org/
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.patch
Patch1:       %{name}-%{version}-ia64.patch
Patch2:       %{name}-%{version}-config.patch
Patch3:       %{name}-%{version}-c++.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
FreeAmp is an Open Source effort to build the best digital audio
player available.  In the interest of supporting the free software
community, while at the same time fostering the growth of the online
delivery of music, GoodNoise Corporation, The Internet Record Company,
is funding both the FreeAmp.org domain and the efforts of three
developers: Mark B. Elrod, Brett Thomas, and Jason Woodward.
FreeAmp is being released under the GPL.  As is provided by the GPL,
all our (GoodNoise's) and your efforts toward FreeAmp will be released
back to the community at large.

Authors:
--------
    Mark B. Elrod <freeamp-features@freeamp.org>
    Brett Thomas <freeamp-features@freeamp.org>
    Jason Woodward <freeamp-features@freeamp.org>

SuSE series: snd

%prep
%setup -n freeamp
%patch0
%patch1
%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config -f}}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
        --prefix=/usr \
        --bindir=/usr/X11R6/bin \
        --libdir=/usr/lib \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} \
        --enable-esd \
%ifnarch i386
        --disable-x86opts \
%endif
        --enable-alsa
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT/ install
chmod -R g-w $RPM_BUILD_ROOT/usr/share/freeamp/

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES COPYING INSTALL NEWS READM* test/*
/usr/X11R6/bin/*
/usr/lib/freeamp
/usr/share/freeamp

%changelog -n freeamp
* Fri Jul 20 2001 - pmladek@suse.cz
- updated to stable version 2.1.0
- fixed list of include direcories in Makefile
* Tue Jul 17 2001 - schwab@suse.de
- Fix for gcc 3.0.
* Sat Jun 23 2001 - schwab@suse.de
- Fix invalid casts.
- Fix invalid delete.
* Wed Jun 13 2001 - schwab@suse.de
- Fix for new autoconf.
* Wed May 23 2001 - pmladek@suse.cz
- fixed include files on ia64
- fixed newline at end of file lmc/xingmp3/include/itype.h
* Tue Mar 20 2001 - schwab@suse.de
- Remove some stupid casts.
- Fix types.
* Wed Mar 14 2001 - nadvornik@suse.cz
- updated to 2.1.rc6
- fixed neededforbuild
* Mon Dec 04 2000 - smid@suse.cz
- file permissions fixed
* Sat Dec 02 2000 - smid@suse.cz
- neededforbuild fixed
* Fri Dec 01 2000 - kukuk@suse.de
- Add gpp and libgpp to neededforbuild (needed by configure script)
* Fri Dec 01 2000 - smid@suse.cz
- new version: 2.1.rc5
* Mon Nov 13 2000 - ro@suse.de
- don't play games with socklen_t
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Sep 14 2000 - ro@suse.de
- up to beta8
* Wed Jun 07 2000 - kukuk@suse.de
- Remove xpm from Requires, there is no xpm package any longer
* Wed Jun 07 2000 - cihlar@suse.cz
- update to version 2.1beta3 - works with alsa 0.5.8
* Thu Jun 01 2000 - cihlar@suse.cz
- update to version 2.0.7
* Mon Jan 31 2000 - uli@suse.de
- fixed bad c++ code on Big-Endian archs
* Fri Oct 08 1999 - rolf@suse.de
- new version 1.3.1
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - uli@suse.de
- fixed stupid bug preventing compilation on Big Endian systems
* Thu Dec 17 1998 - rolf@suse.de
- first version for SuSE-Linux
